apiVersion: v1
kind: Pod
metadata:
  name: finance
spec:
  restartPolicy: unless-stopped
  containers:
  - image: docker.io/fireflyiii/core:latest
    name: firefly
    env:
    - name: APP_ENV
      value: local
    - name: APP_DEBUG
      value: "false"
    - name: APP_KEY
      value: o17BuNhwZwVYQtkez6wMT9T0w7uVJdB7
    - name: DEFAULT_LANGUAGE
      value: en_US
    - name: TZ
      value: America/Los_Angeles
    - name: DB_CONNECTION
      value: pgsql
    - name: DB_HOST
      value: localhost
    - name: DB_PORT
      value: 5432
    - name: DB_DATABASE
      value: firefly
    - name: DB_USERNAME
      value: firefly
    - name: DB_PASSWORD
      value: firefly
    - name: CACHE_DRIVER
      value: file
    - name: SESSION_DRIVER
      value: file
    - name: COOKIE_PATH
      value: /
    - name: COOKIE_SECURE
      value: "false"
    - name: COOKIE_SAMESITE
      value: lax
    - name: AUTHENTICATION_GUARD
      value: web
    - name: APP_NAME
      value: FireflyIII
    - name: BROADCAST_DRIVER
      value: log
    - name: QUEUE_DRIVER
      value: sync
    - name: CACHE_PREFIX
      value: firefly
    - name: FIREFLY_III_LAYOUT
      value: v1
    - name: APP_URL
      value: http://localhost
    - name: DKR_CHECK_SQLITE
      value: true
    - name: DKR_RUN_MIGRATION
      value: true
    - name: DKR_RUN_UPGRADE
      value: true
    - name: DKR_RUN_VERIFY
      value: true
    - name: DKR_RUN_REPORT
      value: true
    - name: DKR_RUN_PASSPORT_INSTALL
      value: true
    ports:
    - containerPort: 8080
      hostPort: 8064
    volumeMounts:
    - mountPath: /var/www/html/storage/upload
      name: upload

  - image: docker.io/library/postgres:latest
    name: db
    env:
    - name: POSTGRES_USER
      value: firefly
    - name: POSTGRES_PASSWORD
      value: firefly
    - name: POSTGRES_DB
      value: firefly
    volumeMounts:
      - mountPath: /var/lib/postgresql/data
        name: db

  - image: docker.io/alpine
    name: cron
    command:
    - sh
    - -c
    - "echo \"0 3 * * * wget -qO- http://localhost:8080/api/v1/cron/o17BuNhwZwVYQtkez6wMT9T0w7uVJdB7\" | crontab - && crond -f -L /dev/stdout"

  volumes:
  - name: upload
    hostPath:
      path: /home/server/data/firefly/upload
      type: Directory
  - name: db
    hostPath:
      path: /home/server/data/firefly/db
      type: Directory
